/*
 * DO NOT EDIT.  THIS FILE IS GENERATED FROM
 * nsPIXPIProxy.idl
 */

package org.mozilla.xpcom;

/**
 * nsPIXPIProxy
 *
 * Used to handle miscellaneous things that XPInstall needs to perform
 * over on the main UI thread.
 */
public interface nsPIXPIProxy extends nsISupports {

  String NS_PIXPIPROXY_IID =
    "{6f9d2890-167d-11d5-8daf-000064657374}";

  void refreshPlugins(boolean reloadPages);

  void notifyRestartNeeded();

  /**
    * Puts up an alert dialog with an OK button.
    *
    * @param title
    *        Text to appear in the title of the dialog.
    * @param text
    *        Text to appear in the body of the dialog.
    */
  void alert(String title, String text);

  /**
     * Puts up a dialog with up to 3 buttons and an optional, labeled checkbox.
     *
     * @param aDialogTitle
     *        Text to appear in the title of the dialog.
     * @param aText
     *        Text to appear in the body of the dialog.
     * @param aButtonFlags
     *        A combination of Button Flags.
     * @param aButton0Title
     *        Used when button 0 uses TITLE_IS_STRING
     * @param aButton1Title
     *        Used when button 1 uses TITLE_IS_STRING
     * @param aButton2Title
     *        Used when button 2 uses TITLE_IS_STRING
     * @param aCheckMsg
     *        Text to appear with the checkbox.  Null if no checkbox.
     * @param aCheckState    
     *        Contains the initial checked state of the checkbox when this method
     *        is called and the final checked state after this method returns.
     *
     * @return index of the button pressed.
     *
     * Buttons are numbered 0 - 2. The implementation can decide whether the
     * sequence goes from right to left or left to right.  Button 0 is the
     * default button unless one of the Button Default Flags is specified.
     *
     * The value for aButtonFlags is constructed using the constants defined by
     * nsIPromptService.
     *
     * @see nsIPromptService
     */
  int confirmEx(String aDialogTitle, String aText, long aButtonFlags, String aButton0Title, String aButton1Title, String aButton2Title, String aCheckMsg, boolean[] aCheckState);

}